org.keycloak.storage.ldap.mappers.membership.group

## Class GroupTreeResolver

- java.lang.Object
- - org.keycloak.storage.ldap.mappers.membership.group.GroupTreeResolver

-     public class GroupTreeResolver
      extends Object

  Author:
    Marek Posolda

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GroupTreeResolver.Group`
    `static class` | `GroupTreeResolver.GroupTreeEntry`
    `static class` | `GroupTreeResolver.GroupTreeResolveException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupTreeResolver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<GroupTreeResolver.GroupTreeEntry>` | `resolveGroupTree(List<GroupTreeResolver.Group> groups, boolean ignoreMissingGroups)` Fully resolves list of group trees to be used in Keycloak.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupTreeResolver

          public GroupTreeResolver()

  - ### Method Detail

    - #### resolveGroupTree

          public List<GroupTreeResolver.GroupTreeEntry> resolveGroupTree(List<GroupTreeResolver.Group> groups,
                                                                         boolean ignoreMissingGroups)
                                                                  throws GroupTreeResolver.GroupTreeResolveException

      Fully resolves list of group trees to be used in Keycloak. The input is group info (usually from LDAP) where each "Group" object contains just it's name and direct children. The operation also performs validation as rules for LDAP are less strict than for Keycloak (In LDAP, the recursion is possible and multiple parents of single group is also allowed)
      Parameters:
        `groups` -
        `ignoreMissingGroups` -
      Returns:
      Throws:
        `GroupTreeResolver.GroupTreeResolveException`

Copyright © 2020 JBoss by Red Hat. All rights reserved.